<?php
namespace App\Http\Controllers;
use App\Models\tbl_product;
use App\Models\testimonial;
use App\Models\tbl_gallery;
use App\Models\tbl_category;
use App\Models\subcategory;
use App\Models\tbl_page;
use App\Models\tbl_banner;
use App\Models\subdomain;
use App\Models\websiteMange;
use App\Models\location;
use App\Models\locationProduct;
use App\Models\blog;
use App\Models\product_data;
use Illuminate\Http\Request;

class SearchController extends Controller
{
   public function search(Request $request)
{
    $searchQuery = $request->input('search');

    if ($request->ajax()) {
        $results = tbl_product::where('pg_status', 'active')
                    ->where('product_title', 'like', '%' . $searchQuery . '%')
                    ->get();

        return response()->json(['results' => $results]);
    }

    // Initialize $results for non-AJAX requests
    $results = tbl_product::where('pg_status', 'active')
                ->where('product_title', 'like', '%' . $searchQuery . '%')
                ->get();
  
    $testimonial_show = testimonial::where('pg_status', 'active')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url','home')->get();
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $blog = blog::where('pg_status', 'active')->get();
    $gallery = tbl_gallery::where('pg_status', 'active')->get();
    $category = tbl_category::where('pg_status', 'active')->get();
    
    return view('search-results', [
        'results' => $results,
        'searchQuery' => $searchQuery,
        'products' => $products,
        'homepages' => $homepages, 
        'website' => $website,
        'location_product' => '',
        'category' => $category,
        'subcategory' => isset($subcategory) ? $subcategory : null,  
        'gallery' => $gallery,
        'products_dat' => isset($products_dat) ? $products_dat : null,  
        'product_u' => ' ?? false OR',
        'blog' => $blog
    ]);
}


}
