<?php
namespace App\Http\Controllers;
use App\Rules\ReCaptcha;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Log;
use Validator;
use App\Mail\ContactFormSubmitted;
use Illuminate\Http\Request;
use App\Models\testimonial;
use App\Models\tbl_product;
use App\Models\tbl_page;
use App\Models\tbl_banner;
use App\Models\websiteMange;
use App\Models\blog;
use App\Models\contactadd;
use App\Models\contact;
use App\Models\tbl_gallery;

use Illuminate\Support\Str;


class ShowdataController extends Controller
{
    public function showdata(Request $request)
{   
    $testimonial_show = testimonial::where('pg_status', 'active')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url','home')->get();
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $blog = blog::where('pg_status', 'active')->get();
    $gallery = tbl_gallery::where('pg_status', 'active')->get();

    return view('home', compact('testimonial_show', 'products', 'homepages', 'homebanner', 'website' ,'blog', 'gallery'));
}


public function product_detail() {
    $product_u = __FUNCTION__ == "product_detail" ? true : false;
    $currentUrl = url()->current();
    $parts = explode('/', $currentUrl);
    $product_url = end($parts);
    try {
        $productData = tbl_product::where('product_url', $product_url)->where('pg_status', 'active')->first();
        
        if (!$productData) {
           
            abort(404);
        }
        $products = tbl_product::where('pg_status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
        $homepages = tbl_page::where('pg_status', 'active')->get();
        $gallery = tbl_gallery::where('pg_status', 'active')->get();
        return view('details', compact('productData', 'products', 'website', 'homepages', 'product_u', 'gallery'));
    } catch (\Exception $e) {
       
       
        return back()->with('error', 'An error occurred');
    }
}

public function contactdata(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'contact-us')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $gallery = tbl_gallery::where('pg_status', 'active')->get();
    return view('contact', ['homepages' => $homepages,
    'products' => $products,
    'section' => 'our-products',
    'website' => $website, 
    'gallery' => $gallery, 
    ]);
}

public function privacydata(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'privacy-policy')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $gallery = tbl_gallery::where('pg_status', 'active')->get();
    return view('privacy-policy', ['homepages' => $homepages,
    'products' => $products,
    'section' => 'our-products',
    'website' => $website, 
    'gallery' => $gallery, 
    ]);
}


public function certificate(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'catalogue')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    return view('catalogue', ['homepages' => $homepages, 
    'products' => $products,
    'section' => 'our-products',
    'website' => $website,
    ]);
}


public function companyprofile(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'about-us')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
     $gallery = tbl_gallery::where('pg_status', 'active')->get();
    return view('company-profile',
    [
    'products' => $products, 
    'homepages' => $homepages,
    'website' => $website,
    'gallery' => $gallery, 
    ]);
}


public function websitedata(){
    $website = websiteMange::where('pg_status', 'active')->get();
    return view('home', compact('productData', 'products'));
}


public function ourproductdata(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'our-services')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $gallery = tbl_gallery::where('pg_status', 'active')->get();
    return view('our-products', [
    'products' => $products,
    'homepages' => $homepages,
    'website' => $website,
    'gallery' => $gallery, 
    ]);
}


public function BlogDetail($blog_slug) {
    
    try {
       
        $blogData = blog::where('blog_slug', $blog_slug)->where('pg_status', 'active')->first();
       
        if (!$blogData) {
          
            abort(404);
        }
        $blog = blog::where('pg_status', 'active')->get();
        $homepages = tbl_page::where('pg_status', 'active')->get();
        $products = tbl_product::where('pg_status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
        $gallery = tbl_gallery::where('pg_status', 'active')->get();
       
        return view('blog', [
            'blogData' => $blogData,
            'blog' => $blog,
            'homepages' => $homepages,
            'products' => $products,
            'gallery' => $gallery, 
            'website' => $website,

        ]);
    } catch (\Exception $e) {
        
        
        return back()->with('error', 'An error occurred');
    }
}



public function ContactForm(Request $request)
{
    try {
        $ipAddress = $request->ip();
        Log::info('IP Address:', ['ip_address' => $ipAddress]);

        $pageUrl = $request->input('pageUrl');
        $gResponseToken = $request->input('g-recaptcha-response');
        Log::info('ReCaptcha Response:', ['response' => $gResponseToken]);

        $validator = Validator::make($request->all(), [
            'email' => 'required|email',
            'name' => 'required',
            'mobile' => 'required',
           
            'g-recaptcha-response' => ['required', new ReCaptcha],
        ]);

        if ($validator->fails()) {
            return response()->json(['errors' => $validator->errors()], 422);
        }

        $user = Contact::create([
            'query' => $request->input('query'),
            'message' => $request->input('message'),
            'name' => $request->input('name'),
            'email' => $request->input('email'),
            'phone' => $request->input('mobile'),
            'ip_address' => $ipAddress,
        ]);

        Mail::to('nidhimalik2608@gmail.com')
            ->send(new ContactFormSubmitted($user, $pageUrl));

        return response()->json(['success' => 'Thank you for reaching us. Our team member will contact you ASAP']);
    } catch (\Exception $e) {
        return response()->json(['error' => 'Something went wrong. Please try again.'], 500);
    }
}



}