<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Category Management</h1>
            <td><a href="{{ route('admin.tbl_category') }}" class="btn btn-primary">Add Category</a></td>

          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Category Management</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title"></h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <table id="example2" class="table table-bordered table-hover">
                  <thead>
                  <tr>
                    <th>S.no</th>
                    <th>Category Title</th>
                    <th>Sub Title</th>
                    <th>Page Name</th>
                    <th>Stauts</th>
                    <th>Image</th>
                    <th>Action</th>
                    
                  </tr>
                  </thead>
                  <tbody>
                  @php
                  $pi = ($tbl_category->currentPage() - 1) * $tbl_category->perPage() + 1;
                  @endphp
                  @foreach($tbl_category as $data)
                  
                  <tr>
                    <td>{{ $pi}}</td>
                    
                    <td>
                      @if ($data->parent_id != 0)
                          <a href="{{ route('admin.manage-category', ['id' => $data->product_cat_id]) }}" style="color:#337ab7;font-weight:bold;">
                              {{ $data->product_category_title }}
                          </a>
                      @else
                          {{ $data->product_category_title }}
                      @endif
                  </td>
                    <td>{{ $data['category_subtitle']}}</td> 
                    <td>{{ $data['pg_url']}}</td>
                    <td>
                      <div class="toggle-button">
                          <input type="checkbox" class="itemCheckbox visually-hidden" data-item-id="{{ $data->product_cat_id }}" data-initial-status="{{ $data->pg_status === 'active' ? 'active' : 'inactive' }}" {{ $data->pg_status === 'active' ? 'checked' : '' }}>
                          <label class="toggle-button-label" for="itemCheckbox"></label>
                      </div>
                  </td>
                 
                    <td>
                    <img src="{{ url('images/' . $data['image']) }}" alt="Pages Image" width="100" height="100">
                       </td>
                    <td class="text-center">
                <a href="{{ route('admin.tbl_category_edit.edit', $data->product_cat_id )}}" class="btn btn-primary btn-sm">Edit</a>
                <form action="{{ route('admin.manage_category.destroy', $data->product_cat_id) }}" method="post" style="display: inline-block">
                @csrf
                @method('DELETE')
               <button class="btn btn-danger btn-sm" type="submit">Delete</button>
              </form>
                  </td>
                  </tr>
                  @php
                  $pi++;
                  @endphp
                  @endforeach
                  
                  </tbody>
                  <tfoot>
                  <tr>
                    <th>S.no</th>
                    <th>Category Title</th>
                    <th>Sub Title</th>
                    <th>Page Name</th>
                    <th>Stauts</th>
                    <th>Image</th>
                    <th>Action</th>
                    
                  </tr>
                  </tfoot>
                </table>
                <div class="pagination">
                {{ $tbl_category->links('pagination::bootstrap-4') }}
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
  <script>
    $(document).ready(function () {
        $('.toggle-button').on('click', function () {
            const checkbox = $(this).find('.itemCheckbox');
            const catId = checkbox.data('item-id');
            const isChecked = checkbox.prop('checked');
            const pgStatus = isChecked ? 'inactive' : 'active';

            $.ajax({
                url: '{{ url("/admin/cat-status/") }}' + '/' + catId + '/updateStatus',
                method: 'POST',
                data: {
                    _token: '{{ csrf_token() }}',
                    pg_status: pgStatus,
                },
                success: function (response) {
                    console.log(response.message);
                    // Update the checkbox state
                    checkbox.prop('checked', !isChecked);
                },
                error: function (xhr, status, error) {
                    console.error(error);
                },
            });
        });
    });
</script>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->

</body>
</html>
