<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Gallery</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Gallery</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Gallery Management</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form  method="post" action="{{ route('admin.tbl_gallery.update',$tbl_gallery->gallery_id) }}" enctype="multipart/form-data">
                @method('PUT')
                @csrf
                <div class="card-body">
    
               @php
                  // Assuming you have the necessary model and connection set up
                  $tbl_product = \App\Models\tbl_product::select('product_title', 'product_id')->get();
                             @endphp
                                                    <div class="form-group">
                        <label for="exampleInputText">Product</label>
                        <select class="form-control" name="gallery_category" id="gallery_category">
                           <option value="{{ $tbl_gallery->gallery_category }}">
                        {{ optional($tbl_gallery->tbl_product)->product_title }}</option>
                    
                            <option value="">Select Product</option>
                            @isset($tbl_product)
                                @foreach ($tbl_product as $tbl_gallery)
                                    <option value="{{ $tbl_gallery->product_id }}">{{ $tbl_gallery->product_title }}</option>
                                @endforeach
                            @endisset
                        </select>
                        @error('product_id')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>



                  <div class="form-group">
                    <label for="exampleInputText">Gallery Name</label>
                    <input type="text" class="form-control" name="gallery_title" value="{{ $tbl_gallery->gallery_title }}" id="gallery_title" placeholder="Gallery Name">
                    @error('gallery_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Short Description</label>
                    <textarea class="form-control" name="short_discription" value="{{ $tbl_gallery->short_discription }}" id="short_discription">{{ $tbl_gallery->short_discription }}</textarea>
                    @error('short_discription')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                 
                <div class="form-group">
                  <label for="exampleInputFile">Gallery Image</label>
                  <div class="input-group">
                      <div class="custom-file">
                          <input type="file" name="gallery_image" class="custom-file-input" id="exampleInputFile">
                          <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                          <span class="input-group-text">Upload</span>
                      </div>
                  </div>
                  @if ($tbl_gallery->gallery_image)
                  <div class="mt-2">
                      <p>Current Image:</p>
                      <img src="{{ url('images/' . $tbl_gallery->gallery_image ) }}" alt="Current Image" width="100">
                  </div>
                  @endif
              </div>
              
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            <!-- general form elements -->
            
            <!-- /.card -->

            <!-- Input addon -->
            
            <!-- /.card -->
            <!-- Horizontal Form -->
            
            <!-- /.card -->

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
