<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Products</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Products</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Products Management</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form  method="post" action="{{ route('admin.tbl_product.update',$tbl_product->product_id) }}" enctype="multipart/form-data">
                @method('PUT')
                @csrf
                <div class="card-body">
                @php
    // Assuming you have the necessary model and connection set up
    $tbl_category = \App\Models\tbl_category::select('product_category_title')->get();
   @endphp
                <div class="form-group">
    <label for="exampleInputText">Product Category</label>
    <select class="form-control" name="product_cat" id="product_cat">
        @isset($tbl_category)
            @foreach ($tbl_category as $category)
            <option value="{{ $category->product_category_title }}">{{ $category->product_category_title }}</option>
            @endforeach
        @endisset
    </select>
    @error('banner')
    <span class="invalid-feedback" role="alert">
        <strong>{{ $message }}</strong>
    </span>
    @enderror
   </div>

                  <div class="form-group">
                    <label for="exampleInputText">Product Title</label>
                    <input type="text" class="form-control" name="product_title" id="product_title" placeholder="Product Title" value="{{ $tbl_product->product_title }}">
                    @error('product_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                 

                  <div class="form-group">
                    <label for="exampleInputText">Page Url</label>
                    <input type="text" class="form-control" name="product_url" id="product_url" placeholder="Page Url" value="{{ $tbl_product->product_url }}">
                    @error('pg_url')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
         

                  <div class="form-group">
                    <label for="exampleInputText">Page Meta Title</label>
                    <input type="text" class="form-control" name="pg_meta_title" id="pg_meta_title" placeholder="Page Meta Title" value="{{ $tbl_product->pg_meta_title }}">
                    @error('pg_meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Page Meta Keyword</label>
                    <input type="text" class="form-control" name="pg_meta_keyword" id="pg_meta_keyword" placeholder="Page Meta Keyword" value="{{ $tbl_product->pg_meta_keyword }}">
                    @error('pg_meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

             
                  
                  <div class="form-group">
                    <label for="exampleInputText">Page Meta Description</label>
                    <textarea name="pg_meta_desc" value="{{ $tbl_product->pg_meta_desc }}" class="form-control">{{ $tbl_product->pg_meta_desc }}</textarea>
                    @error('pg_meta_desc')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Short Description</label>
                    <textarea name="sort_description" value="{{ $tbl_product->sort_description }}" class="form-control">{{ $tbl_product->sort_description }}</textarea>
                    @error('sort_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Description</label>
                    <textarea name="description" value="{{ $tbl_product->description }}" id="summernote" class="form-control">{{ $tbl_product->description }}</textarea>
                    @error('description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                  <label for="exampleInputFile">Image</label>
                  <div class="input-group">
                      <div class="custom-file">
                          <input type="file" name="image" class="custom-file-input" id="exampleInputFile">
                          <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                          <span class="input-group-text">Upload</span>
                      </div>
                  </div>
                  @if ($tbl_product->image)
                  <div class="mt-2">
                      <p>Current Image:</p>
                      <img src="{{ url('images/' . $tbl_product->image ) }}" alt="Current Image" width="100">
                  </div>
                  @endif
              </div>
                  
                  
                  <div class="form-group">
                    <label for="exampleInputText">Instruction</label>
                    <textarea name="tab_one_description" value="{{ $tbl_product->tab_one_description }}" id="tab_one_description" class="form-control">{{ $tbl_product->tab_one_description }}</textarea>
                    @error('tab_one_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Details</label>
                    <textarea name="tab_two_description" value="{{ $tbl_product->tab_two_description }}" id="tab_two_description" class="form-control">{{ $tbl_product->tab_two_description }}</textarea>
                    @error('tab_two_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Application</label>
                    <textarea name="tab_three_description" value="{{ $tbl_product->tab_three_description }}" id="tab_three_description" class="form-control">{{ $tbl_product->tab_three_description }}</textarea>
                    @error('tab_three_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
       

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
          

          </div>
    
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
