<!doctype html>
<html class="no-js" lang="English">

<head>
    <meta charset="utf-8">
    <title>Gujarat</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSS here -->
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/owl.carousel.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/animate.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/magnific-popup.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/fontawesome-all.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/themify-icons.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/meanmenu.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/slick.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/main.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/responsive.css') }}">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
</head>

<body>

    <!-- header-start -->
    @include('include.header-inner')
    <!-- header-start -->

    <main>

         <!-- breadcrumb-area-start -->
         <div class="breadcrumb-area pt-85 pb-85" style="background-image: url('{{ asset('assets/image/img/bg/bg-9.jpg') }}')">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="breadcrumb-text text-center">
                            <h1>{{ $blogData->blog_title }}</h1>
                            <ul class="breadcrumb-menu">
                                <li><a href="{{url('/')}}">home</a></li>
                                <li><span>{{ $blogData->blog_title }}</span></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb-area-end -->

          <!-- blog-area start -->
          <div class="blog-area pt-120 pb-80">
            <div class="container">
                <div class="row">
                    <div class="col-lg-8">
                        <article class="postbox post format-image mb-40">

                            <div class="postbox__thumb mb-35">
                                <img src="{{ url('images/' . $blogData['image']) }}" alt="blog image">
                            </div>
                            <div class="postbox__text bg-none">
                                <div class="post-meta mb-15">
                                    <span><i class="far fa-calendar-check"></i>{{ \Carbon\Carbon::createFromFormat('Y-m-d', $blogData->date_time)->format('j M Y') }}</span>
                                    <span><a href="#"><i class="far fa-user"></i>{{$blogData->blog_by}}</a></span>
                                </div>
                                <p class="blog-title">
                                    {{$blogData->short_description}}
                                </p>
                                <div class="post-text mb-20">
                                    <p>{!! htmlspecialchars_decode($blogData->first()->description) !!}</p>
                                
                                </div>
                               
                             
                            </div>
                            
                        </article>
                    </div>
                    <div class="col-lg-4">
                        
                        <div class="widget mb-40">
                            <div class="widget-title-box mb-30">
                                <p class="blog-title-cstm ">Popular Feeds</p>
                            </div>
                            <ul class="recent-posts">
                                <li>
                                    @foreach($blog as $data)
                                    <div class="widget-posts-image">
                                        @if(isset($data['image']))
                                        <a href="{{ url('blog', ['blog_slug' => $data->blog_slug]) }}"><img src="{{ url('images/' . $data['image']) }}" alt=""></a>
                                        @endif
                                    </div> 
                                    <div class="widget-posts-body">
                                        <p class="widget-posts-title"><a href="{{ url('blog', ['blog_slug' => $data->blog_slug]) }}">{{ $data->blog_title }}</a></p>
                                        <div class="widget-posts-meta"> {{ \Carbon\Carbon::createFromFormat('Y-m-d', $data->date_time)->format('j M Y') }}</div>
                                    </div>
                                    @endforeach 
                                </li>
                                
                            </ul>
                        </div>
                        <div class="widget mb-40">
                            <div class="widget-title-box mb-30">
                                <p class="blog-title-cstm ">Categories</p>
                            </div>
                            <ul class="cat">
                                <li>
                                    <a href="#">Lifestyle <span class="f-right">78</span></a>
                                </li>
                                <li>
                                    <a href="#">Travel <span class="f-right">42</span></a>
                                </li>
                                <li>
                                    <a href="#">Fashion <span class="f-right">32</span></a>
                                </li>
                                <li>
                                    <a href="#">Music <span class="f-right">85</span></a>
                                </li>
                                <li>
                                    <a href="#">Branding <span class="f-right">05</span></a>
                                </li>
                            </ul>
                        </div>
                        <div class="widget mb-40">
                            <div class="widget-title-box mb-30">
                                <p class="blog-title-cstm ">Social Profile</p>
                            </div>
                            <div class="social-profile">
                                <a href="#"><i class="fab fa-facebook-f"></i></a>
                                <a href="#"><i class="fab fa-twitter"></i></a>
                                <a href="#"><i class="fab fa-whatsapp"></i></a>
                                <a href="#"><i class="fab fa-linkedin-in"></i></a>
                                <a href="#"><i class="fab fa-youtube"></i></a>
                            </div>
                        </div>
                        <div class="widget mb-40">
                            <div class="widget-title-box mb-30">
                                <p class="blog-title-cstm ">Popular Tags</p>
                            </div>
                            <div class="tag">
                                <a href="#">Popular</a>
                                <a href="#">desgin</a>
                                <a href="#">usability</a>
                                <a href="#">Popular</a>
                                <a href="#">desgin</a>
                                <a href="#">usability</a>
                                <a href="#">Popular</a>
                                <a href="#">desgin</a>
                                <a href="#">usability</a>
                                <a href="#">Popular</a>
                                <a href="#">desgin</a>
                                <a href="#">usability</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- blog-area end -->

    </main>

    <!-- footer-area-start -->
    @include('include.footer-inner')
    <!-- footer-area-end -->

    <!-- JS here -->
    @include('include.comman-end')

</body>

</html>