<!doctype html>
<html lang="en">

<head>
     @foreach($website as $web)
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.0/animate.min.css">
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/style.css') }}">
     <link href="{{ url('images/' . $web['website_icon']) }}" rel="icon">
      <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <title>{{ $productData->pg_meta_title }}</title>
    <meta name="keywords" content="{{ $productData->pg_meta_keyword }}">
    <meta name="description" content="{{ $productData->pg_meta_desc }}">
    @endforeach
</head>

<body>
    
   @include('include.header-inner')

  <section class="inner_header">
        <img src="{{ asset('assets/image/img/banner-2.jpg') }}" alt="">
        <div class="inner_text">
            <span class="inner_hrad">{{$productData->product_title}}</span>
            <div class="brade_crom">
                <a href="{{ url('/') }}">Home /</a>
                <span>{{$productData->product_title}}</span>
            </div>
        </div>
    </section>
    
    <section class="ab_home2 margin">
        <div class="container">
            <div class="row">
                <div class="col-lg-5">
                    <div class="main_img">
                        <div class="ab_all_img_in">
                        <img src="{{ url('images/' . $productData['image']) }}" alt="">
                        </div>
                    </div>
                </div>
                <div class="col-lg-7">
                    <div class="ab_text">
                        <span class="big_head">{{$productData->sort_description}}</span>
                        <p>{!! htmlspecialchars_decode($productData->description) !!}</p>
                        
                        <div class="banner_btn">
                            <a class="all_btn Click-here" href="#">Enquire Now  <i class="fa-brands fa-telegram"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
    <section class="services text-center">
        <div class="container">
            <!--<span class="small_head"><img src="assets/image/img/title_left.svg" alt="">OUR SERVICES</span>-->
            <span class="big_head">Our Core Services </span>
            <div class="product_slider" data-aos="fade-up"
            data-aos-anchor-placement="center-bottom">
                @foreach($products as $data)
                <div class="pro_item">
                   <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                    <div class="pro_text">
                        <a href="{{ url('/', ['product_url' => $data->product_url]) }}">
                            <span>{{ $data->product_title }}</span>
                            <p>{!! \Illuminate\Support\Str::limit(strip_tags(htmlspecialchars_decode($data->description)), 100) !!}</p>
                        </a>
                        <a class="read_more" href="{{ url('/', ['product_url' => $data->product_url]) }}">Read More <i class="fa-brands fa-telegram"></i></a>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>
    
    @include('contact-home')

    @include('include.footer-inner')
    
   @include('include.comman-end')
</body>

</html>