<!doctype html>
<html lang="en">

@include('include.comman-head')

<body>
    @include('include.header-inner')

    <div class="main_slider">
        <div class="head_banner">
               @foreach($homebanner as $banner)
            <div class="head_item">
                <div class="img" >
                    <img class="b_img" src="{{ url('images/' . $banner['banner_image']) }}" alt="">
                    <div class="banner_text" data-aos="fade-right">
                        <span class="head_small">{{ $banner->banner_title }}</span>
                        <span class="head_line ">{{ $banner->banner_second_title }}</span>
                        <p>{!! htmlspecialchars_decode($banner->banner_discription) !!}</p>
                        <div class="banner_btn">
                            <a class="all_btn  Click-here" href="#">Enquire Now  <i class="fa-brands fa-telegram"></i></a>
                        </div>
                    </div>
                </div>
            </div>
            @endforeach
           
        </div>
    </div>

    <section class="delivery margin">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6 mt-4">
                    <div class="del_box" data-aos="fade-right">
                        <img src="assets/image/img/ProvenTrackRecord.png" alt="">
                        <div class="del_text">
                            <span class="feature">Proven Track Record</span>
                            <p>Served more than 300+ Individuals and SMEs on the basis of their requirements and eligibility</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6 mt-4">
                    <div class="del_box" data-aos="fade-up">
                        <img src="assets/image/img/TransparencyandTrust.png" alt="">
                        <div class="del_text">
                            <span class="feature">Transparency and Trust</span>
                            <p>We value integrity and transparency in our work, offering clear, honest advice with no hidden agendas.
</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6 mt-4">
                    <div class="del_box" data-aos="fade-left">
                        <img src="assets/image/img/End-to-End Support.png" alt="">
                        <div class="del_text">
                            <span class="feature">End-to-End Support</span>
                            <p>From initial consultation to final loan approval, we guide you through every step of the process.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="ab_home margin">
        <div class="container">
            <div class="row">
                @foreach ($homepages as $item)
                <div class="col-lg-6">
                    <div class="ab_img" data-aos="fade-left">
                        <div class="row">
                            <div class="col-7">
                                <div class="img">
                                    <img src="{{ url('images/' . $item->image) }}" alt="">
                                </div>
                            </div>
                            <div class="col-5">
                                <div class="about_counter">
                                    <span class="num">15+</span>
                                    <span class="experience">Years of Working Experience</span>
                                </div>
                                <div class="img2">
                                    <img src="assets/image/img/about_2.jpg" alt="">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="ab_text" data-aos="fade-right">
                        <!--<span class="small_head">Home</span>-->
                         @if ($homepages->isNotEmpty())
                        <span class="big_head">{{ $homepages->first()->short_description }}</span>
                         @else
                      @endif
                         @if ($homepages->isNotEmpty())
                        <p>{!! htmlspecialchars_decode($homepages->first()->description) !!}</p>
                             @else
                                @endif</p>
                        <ul>
                            <li>We Make Individual Finances Simple</li>
                            <li>Tailor-made Financial Solutions</li>
                            <!--<li>Customized Solutions</li>-->
                            <li>Competetive Interest Rates</li>
                            <li>Dedicated Relationship Manager</li>
                            <li>Industry Knowledge Of Lending Norms</li>
                        </ul>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    <section class="services text-center">
        <div class="container">
            <!--<span class="small_head"><img src="assets/image/img/title_left.svg" alt="">OUR SERVICES</span>-->
            <span class="big_head">Our Core Services</span>
            <div class="product_slider" data-aos="fade-up"
            data-aos-anchor-placement="center-bottom">
                @foreach($products as $data)
                <div class="pro_item">
                   <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                    <div class="pro_text">
                        <a href="{{ url('/', ['product_url' => $data->product_url]) }}">
                            <span>{{ $data->product_title }}</span>
                            <p>{!! \Illuminate\Support\Str::limit(strip_tags(htmlspecialchars_decode($data->description)), 100) !!}</p>
                        </a>
                        <a class="read_more" href="{{ url('/', ['product_url' => $data->product_url]) }}">Read More <i class="fa-brands fa-telegram"></i></a>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    <section class="our_work">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-5 col-md-6">
                    <div class="our_text" data-aos="fade-right">
                        <!--<span class="small_head"><img src="assets/image/img/title_left.svg" alt="">Business To Heights</span>-->
                        <span class="big_head">Partner With Us</span>
                        <p>We Welcome Insurance Advisors, Individuals, and Freelancers to join as a Business partners.
                        We offer opportunities to earn attractive commissions. You will get extensive support to convert your leads into sales.</p>
                        <ul>
                            <li>Insurance Advisors</li>
                            <li>Individuals</li>
                            <li>Freelancers</li>
                        </ul>
                        <div class="our_btn mt-4">
                            <a class="all_btn  Click-here" href="#">Contact Us! <i class="fa-brands fa-telegram"></i></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-7 col-md-6 p-0">
                    <div class="our_img" data-aos="fade-left">
                        <img src="assets/image/img/work.jpg" alt="">
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="test_monial text-center margin">
        <div class="container">
            <span class="small_head">Testimonial</span>
            <span class="big_head">What Clients Say About Us</span>
            <div class="test_slider mt-4">
                 @foreach ($testimonial_show as $testi)
                <div class="test_item"  data-aos="flip-up">
                    <div class="test_box">
                        <div class="img">
                            <img src="{{ url('images/' . $testi['image']) }}" alt="{{ $testi->client_name }}" title="{{ $testi->client_name }}">
                        </div>
                        <div class="star">
                            <img src="assets/image/img/star.png" alt="">
                        </div>
                        <p>{!! htmlspecialchars_decode($testi->description) !!}</p>
                        <span class="name">{{ $testi->client_name }}</span>
                        <span class="degination">Happy Client</span>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    <section class="partner margin">
        <div class="container">
            <div class="content">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="section-title left" data-aos="zoom-in">
                            <span class="title">We believe in turning financial challenges into opportunities for growth!</span>
                        </div>
                    </div>
                </div>
                <div class="image">
                    <img src="assets/image/img/tracking-img.png" alt="container-image">
                </div>
            </div>
        </div>
    </section>

    <section class="video1">
        <div class="video-wrapper">
            <video width="100%" loop="" muted="" playsinline="" autoplay="">
                <source src="assets/image/img/banner.mp4" type="video/mp4">
            </video>
            <!-- <a class="video-icon venobox vbox-item" href="#" data-autoplay="true" data-vbtype="video">
                <i class="fa-solid fa-play"></i>
            </a> -->
        </div>
    </section>

    <section class="work-process1 margin text-center">
        <div class="container">
            <span class="small_head">We Offer</span>
            <span class="big_head">Expert Consultancy Services</span>
            <div class="process-list mt-4">
                <div class="process-item" data-aos="fade-up"
                data-aos-duration="4000">
                    <div class="icon">
                        <span class="number">1</span>
                        <img src="assets/image/img/MSMELoan.png" alt="">
                    </div>
                    <div class="content2">
                        <span class="title2">Home Loan</span>
                        <p class="description">Whether you’re buying a new home or renovating your current one, our home loan services offer flexible terms and competitive interest rates. We simplify the loan process, making it quicker and easier for you to turn your dream home into a reality.</p>
                    </div>
                </div>
                <div class="process-item" data-aos="fade-up"
                data-aos-duration="3000">
                    <div class="icon">
                        <span class="number">2</span>
                        <img src="assets/image/img/TermLoan.png" alt="">
                    </div>
                    <div class="content2">
                        <span class="title2">Loan Against Property (LAP)</span>
                        <p class="description">Unlock the financial potential of your property with our LAP services. By leveraging your residential or commercial property, you can access funds for business expansion, education, or other personal needs without losing ownership.</p>
                    </div>
                </div>
                <div class="process-item" data-aos="fade-up"
                data-aos-duration="2000">
                    <div class="icon">
                        <span class="number">3</span>
                        <img src="assets/image/img/EquipmentFinance.png" alt="">
                    </div>
                    <div class="content2">
                        <span class="title2">Personal Loan</span>
                        <p class="description">Designed to meet your immediate financial needs, our personal loan solutions offer quick disbursement, minimal paperwork, and flexible repayment plans. Whether for medical expenses, weddings, or any urgent requirement, we’ve got you covered.</p>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="showcase text-center">
        <div class="container-fluid">
            <span class="small_head">PRODUCT PORTFOLIO</span>
           
            <div class="product_slider mt-5" data-aos="fade-right"
            data-aos-offset="300"
            data-aos-easing="ease-in-sine">
                @foreach($products as $data)
                <div class="p_item">
                   <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                    <div class="p_text">
                        <a href="{{ url('/', ['product_url' => $data->product_url]) }}">
                            <span>{{ $data->product_title }}</span>
                        </a>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    @include('contact-home')

    @include('include.footer-inner')
    
   @include('include.comman-end')

</body>

</html>