<!DOCTYPE html>
<html lang="en">
<?php echo $__env->make('admin.Backend.Layout.common-head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <?php echo $__env->make('admin.Backend.Layout.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <?php echo $__env->make('admin.Backend.Layout.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Pages Management</h1>
            <a href="<?php echo e(route('admin.tbl_page')); ?>" class="btn btn-primary">Add Pages</a>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Pages Management</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title"></h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <table id="example2" class="table table-bordered table-hover">
                  <thead>
                  <tr>
                    <th>S.no</th>
                    <th>Page Name</th>
                    <th>Image</th>
                    <th>Status</th>
                    <th>Action</th>
                    
                  </tr>
                  </thead>
                  <tbody>
                  <?php
                  $pi = ($tbl_page->currentPage() - 1) * $tbl_page->perPage() + 1;
                  ?>
                  <?php $__currentLoopData = $tbl_page; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  
                  <tr>
                    <td><?php echo e($pi); ?></td>
                    <td><?php echo e($data['pg_name']); ?></td>
                    <td>
                    <img src="<?php echo e(url('images/' . $data['image'])); ?>" alt="Pages Image" width="100" height="100">
                       </td>

                       
                           <!-- Display the current status -->
                           <td>
                            <div class="toggle-button">
                                <input type="checkbox" class="itemCheckbox visually-hidden" data-item-id="<?php echo e($data->pg_id); ?>" data-initial-status="<?php echo e($data->pg_status === 'active' ? 'active' : 'inactive'); ?>" <?php echo e($data->pg_status === 'active' ? 'checked' : ''); ?>>
                                <label class="toggle-button-label" for="itemCheckbox"></label>
                            </div>
                        </td>
                           
                           <!-- Add a button to toggle the status -->
                        
                <td class="text-center">
                <a href="<?php echo e(route('admin.tbl_pages_edit.edit', $data->pg_id )); ?>" class="btn btn-primary btn-sm">Edit</a>
               
                  </td>
                  </tr>
                  <?php
                  $pi++;
                  ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  
                  </tbody>
                  <tfoot>
                  <tr>
                    <th>S.no</th>
                    <th>Page Name</th>
                    <th>Images</th>
                    <th>Status</th>
                    <th>Action</th>
                  </tr>
                  </tfoot>
                </table>
                <div class="pagination">
                <?php echo e($tbl_page->links('pagination::bootstrap-4')); ?>

                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>

  <script>
    $(document).ready(function () {
        $('.toggle-button').on('click', function () {
            const checkbox = $(this).find('.itemCheckbox');
            const pgId = checkbox.data('item-id');
            const isChecked = checkbox.prop('checked');
            const pgStatus = isChecked ? 'inactive' : 'active';

            $.ajax({
                
               url: '<?php echo e(url("/admin/pg-status/")); ?>' + '/' + pgId + '/updateStatus',
                method: 'POST',
                data: {
                    _token: '<?php echo e(csrf_token()); ?>',
                    pg_status: pgStatus,
                },
                success: function (response) {
                    console.log(response.message);
                    // Update the checkbox state
                    checkbox.prop('checked', !isChecked);
                },
                error: function (xhr, status, error) {
                    console.error(error);
                },
            });
        });
    });
</script>

  <!-- /.content-wrapper -->
  <?php echo $__env->make('admin.Backend.Layout.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<?php echo $__env->make('admin.Backend.Layout.common-end', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- Page specific script -->

</body>
</html>
<?php /**PATH /home/instavyaparnet/public_html/A-R/resources/views/admin/manage-pages.blade.php ENDPATH**/ ?>